/**
 * @file test_spi.cpp
 * @brief Unit tests for SPI wrapper component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "spi.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_spi_initialize(void)
{
    Spi spi;
    SpiConfig config = {23, 19, 18, 5, 1000000, SpiMode::MODE_0};
    bool result = spi.initialize(SpiHost::SPI2_HOST, config);
    TEST_ASSERT_TRUE(result);
}

} // extern "C"

